<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_3</title>
</head>
<body>
    <h1>Capitulo 3</h1>
    <a>Ejercicio 4</a>

    <script>

    class MyQueue {
        constructor() {
            this.pila1 = [];
            this.pila2 = [];
        }

        push(element) {
                this.pila1.push(element);
                return this.pila1;
        }

        pop() {
            if (this.pila2.length === 0) {
                if (this.pila1.length === 0) {
                    console.info("La Pila está Vacía");
                }
                while (this.pila1.length > 0) {
                    let elem = this.pila1.pop();
                    this.pila2.push(elem);
                }
            }
            
            return this.pila2;
        }



        print() {
            console.log(`---------------------`);
            console.log(`Pila 1: ${this.pila1}`);
            console.log(`Pila 2: ${this.pila2}`);
            console.log(`---------------------`);
        }
    }


    let cola = new MyQueue();
    cola.push(8);
    cola.push(5);
    cola.push(1);
    cola.push(7);
    cola.push(9);
    cola.push(2);
    cola.print();
    cola.pop();
    cola.print();


    </script>
    
</body>
</html>